Sangoma 6 to 7 Upgrade Tool Error



  • Any ideas?

    [[email protected] ~]# distro-upgrade
    ┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
    ┃                                            ┃
    ┃        Sangoma 6 to 7 Upgrade Tool         ┃
    ┃                                            ┃
    ┃    Distro Upgrade - Version 1802-2.sng7    ┃
    ┃    Build Date: 2018-02-14                  ┃
    ┃                                            ┃
    ┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛
    
     Checking prerequsites...
            Checking FreePBX Version        [ ✔ ] - 13.0.194.2
            Checking bitsize of machine     [ ✔ ] - x86_64
            Checking for 32 bit packages    [ ✔ ] - No i686 rpms found
            Checking available disk space   [ ✔ ] - 81G Available
            Checking for IonCube Loader     [ ✔ ] - IonCube Loader not detected
            Checking for outdated system    [ ✔ ] - No pending updates.
            Checking for HA Setup           [ ✔ ] - Not a HA system
     All prerequsites passed!
    
    Are you ready to upgrade your machine to SNG7? This process requires
    two reboots, and will download approximately 400mb of files before
    starting. There will be no interruption to service until this machine
    is rebooted.
    
    Download files required for upgrade [Yn]? y
    ######### Starting setup upgrade on Thu Mar  8 17:32:31 EST 2018 #########
    ######### An error occured, please check /var/log/sngupdate #########
    Error! setup_upgrade did not exit cleanly. Not enabling upgrade service
    
    [[email protected] ~]# cat /var/log/sngupdate
    ######### Starting setup upgrade on Thu Mar  8 17:32:31 EST 2018 #########
    ######### An error occured, please check /var/log/sngupdate #########
    [[email protected] ~]#
    


  • @aaronstuder said in Sangoma 6 to 7 Upgrade Tool Error:

    /var/log/sngupdate

    So the log it refers you to just says a generic error occurred? Ugh



  • That’s a low volume upgrade, bound to be a lot of snags 😞



  • In other news, this is why I prefer Fedora over CentOS.



  • @aaronstuder said in Sangoma 6 to 7 Upgrade Tool Error:

    Any ideas?

    [[email protected] ~]# distro-upgrade
    ┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
    ┃                                            ┃
    ┃        Sangoma 6 to 7 Upgrade Tool         ┃
    ┃                                            ┃
    ┃    Distro Upgrade - Version 1802-2.sng7    ┃
    ┃    Build Date: 2018-02-14                  ┃
    ┃                                            ┃
    ┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛
    
     Checking prerequsites...
            Checking FreePBX Version        [ ✔ ] - 13.0.194.2
            Checking bitsize of machine     [ ✔ ] - x86_64
            Checking for 32 bit packages    [ ✔ ] - No i686 rpms found
            Checking available disk space   [ ✔ ] - 81G Available
            Checking for IonCube Loader     [ ✔ ] - IonCube Loader not detected
            Checking for outdated system    [ ✔ ] - No pending updates.
            Checking for HA Setup           [ ✔ ] - Not a HA system
     All prerequsites passed!
    
    Are you ready to upgrade your machine to SNG7? This process requires
    two reboots, and will download approximately 400mb of files before
    starting. There will be no interruption to service until this machine
    is rebooted.
    
    Download files required for upgrade [Yn]? y
    ######### Starting setup upgrade on Thu Mar  8 17:32:31 EST 2018 #########
    ######### An error occured, please check /var/log/sngupdate #########
    Error! setup_upgrade did not exit cleanly. Not enabling upgrade service
    
    [[email protected] ~]# cat /var/log/sngupdate
    ######### Starting setup upgrade on Thu Mar  8 17:32:31 EST 2018 #########
    ######### An error occured, please check /var/log/sngupdate #########
    [[email protected] ~]#
    

    Hahahahhaahahahah



  • No clue where to go with no good error log.



  • Guess I am just going to build a new 14 VM and transfer over the config. Any thing to watch for?



  • @aaronstuder said in Sangoma 6 to 7 Upgrade Tool Error:

    Guess I am just going to build a new 14 VM and transfer over the config. Any thing to watch for?

    You can export and import some things with the default handlers.

    If you are using SSL from LE and have the Yelaink T4xG series phones they won't talk right using SSL.
    If this is the same system I worked on, don't forget to grab crontab with the bell schedule.



  • @jaredbusch said in Sangoma 6 to 7 Upgrade Tool Error:

    @aaronstuder said in Sangoma 6 to 7 Upgrade Tool Error:

    Guess I am just going to build a new 14 VM and transfer over the config. Any thing to watch for?

    You can export and import some things with the default handlers.

    If you are using SSL from LE and have the Yelaink T4xG series phones they won't talk right using SSL.
    If this is the same system I worked on, don't forget to grab crontab with the bell schedule.

    It is in fact the same system. Will the custom extensions come over?



  • @aaronstuder said in Sangoma 6 to 7 Upgrade Tool Error:

    @jaredbusch said in Sangoma 6 to 7 Upgrade Tool Error:

    @aaronstuder said in Sangoma 6 to 7 Upgrade Tool Error:

    Guess I am just going to build a new 14 VM and transfer over the config. Any thing to watch for?

    You can export and import some things with the default handlers.

    If you are using SSL from LE and have the Yelaink T4xG series phones they won't talk right using SSL.
    If this is the same system I worked on, don't forget to grab crontab with the bell schedule.

    It is in fact the same system. Will the custom extensions come over?

    Yes. they are still extensions.


Log in to reply